-- Add table FSK_ACCOUNT_KEYS_ACC


CREATE SET TABLE FCFKC.FSK_ACCOUNT_KEYS_ACC,
	 NO FALLBACK, 
	 NO BEFORE JOURNAL, 
	 NO AFTER JOURNAL, 
	 CHECKSUM = DEFAULT
(
	alert_id             DECIMAL(12) NOT NULL ,
	account_key          DECIMAL(12) NOT NULL ,
	segment_id           VARCHAR(128) NOT NULL  DEFAULT user,
	run_date             TIMESTAMP(6)  
)
	UNIQUE PRIMARY INDEX XPKFSK_ACCOUNT_KEYS_ACC(alert_id,account_key,segment_id);

CREATE  INDEX XIE1FSK_ACCOUNT_KEYS_ACC(account_key) ON FCFKC.FSK_ACCOUNT_KEYS_ACC;


-- Create view

CREATE  VIEW FCFBU1.FSK_ACCOUNT_KEYS_ACC ( alert_id,account_key,run_date ) 
	 AS  SELECT FCFKC.FSK_ACCOUNT_KEYS_ACC.alert_id,FCFKC.FSK_ACCOUNT_KEYS_ACC.account_key,FCFKC.FSK_ACCOUNT_KEYS_ACC.run_date
		FROM FCFKC.FSK_ACCOUNT_KEYS_ACC
		WHERE segment_id = 'FCFBU1';
