-- Add table FSK_ACCOUNT_KEYS_ACC


CREATE TABLE FCFKC.FSK_ACCOUNT_KEYS_ACC
(
	alert_id             NUMERIC(12) NOT NULL ,
	account_key          NUMERIC(12) NOT NULL ,
	segment_id           VARCHAR(128) NOT NULL  DEFAULT CURRENT_USER,
	run_date             TIMESTAMP  ,
	CONSTRAINT  PKACCT_KEYS_ACC PRIMARY KEY (alert_id,account_key,segment_id)
)
	IN KC_DATA20
	INDEX IN KC_DATA20;

CREATE  INDEX FCFKC.XIE1FSK_ACCOUNT_KEYS_ACC ON FCFKC.FSK_ACCOUNT_KEYS_ACC
(account_key   ASC);

-- Create grants

GRANT SELECT, INSERT, DELETE, UPDATE on FCFKC.FSK_ACCOUNT_KEYS_ACC to FCFBU1;

-- Create view

CREATE VIEW FCFBU1.FSK_ACCOUNT_KEYS_ACC ( alert_id,account_key,run_date ) 
	 AS  SELECT FCFKC.FSK_ACCOUNT_KEYS_ACC.alert_id,FCFKC.FSK_ACCOUNT_KEYS_ACC.account_key,FCFKC.FSK_ACCOUNT_KEYS_ACC.run_date
		FROM FCFKC.FSK_ACCOUNT_KEYS_ACC
		WHERE segment_id = 'FCFBU1';

