
-- Add table FSK_ACCOUNT_KEYS_ACC

USE [LOCALDB]
GO

CREATE TABLE FCFKC.FSK_ACCOUNT_KEYS_ACC
(
	alert_id             DECIMAL(12) NOT NULL ,
	account_key          DECIMAL(12) NOT NULL ,
	segment_id           VARCHAR(128) DEFAULT user NOT NULL ,
	run_date             DATETIME  ,
	CONSTRAINT XPKFSK_ACCOUNT_KEYS_ACC PRIMARY KEY CLUSTERED (alert_id,account_key,segment_id))
GO

CREATE INDEX XIE1FSK_ACCOUNT_KEYS_ACC ON FCFKC.FSK_ACCOUNT_KEYS_ACC
(
	account_key ASC
)
GO



-- Create view

CREATE   VIEW FCFBU1.FSK_ACCOUNT_KEYS_ACC ( alert_id,account_key,run_date ) 
	 AS  SELECT FCFKC.FSK_ACCOUNT_KEYS_ACC.alert_id,FCFKC.FSK_ACCOUNT_KEYS_ACC.account_key,FCFKC.FSK_ACCOUNT_KEYS_ACC.run_date
		FROM FCFKC.FSK_ACCOUNT_KEYS_ACC
		WHERE segment_id = 'FCFBU1'
GO
